﻿@model Paw_park.Models.Dog

@{
    ViewBag.Title = "Edit";
}

<h2>Muuda infot</h2>

@using (Html.BeginForm("Edit", "Departments", FormMethod.Post, new { enctype="multipart/form-data" }))
{
    @Html.AntiForgeryToken()
    
<div class="form-horizontal">
    <h4>Koer</h4>
    <hr />
    @Html.ValidationSummary(true, "", new { @class = "text-danger" })
    @Html.HiddenFor(model => model.Id)

    <div class="form-group">
        @Html.LabelFor(model => model.Name, htmlAttributes: new { @class = "control-label col-md-2" })
        <div class="col-md-10">
            @Html.EditorFor(model => model.Name, new { htmlAttributes = new { @class = "form-control" } })
            @Html.ValidationMessageFor(model => model.Name, "", new { @class = "text-danger" })
        </div>
    </div>

    <div class="form-group">
        @Html.LabelFor(model => model.Breed, htmlAttributes: new { @class = "control-label col-md-2" })
        <div class="col-md-10">
            @Html.EditorFor(model => model.Breed, new { htmlAttributes = new { @class = "form-control" } })
            @Html.ValidationMessageFor(model => model.Breed, "", new { @class = "text-danger" })
        </div>
    </div>
    <div class="form-group">
        @Html.LabelFor(model => model.Gender, htmlAttributes: new { @class = "control-label col-md-2" })
        <div class="col-md-10">
            @Html.DropDownList("Gender", null, "-- sugu --", htmlAttributes: new { @class = "form-control" })
            @Html.ValidationMessageFor(model => model.Gender, "", new { @class = "text-danger" })
        </div>
    </div>
    <div class="form-group">
        @Html.LabelFor(model => model.OffersForDog, htmlAttributes: new { @class = "control-label col-md-2" })
        <div class="col-md-10">
            <input type="checkbox" name="Cut" value="true">
            <label class="form-check-label" for="Cut">Jah</label>
            @*<input type="checkbox" name="Cut" value="false">
                <label class="form-check-label" for="Cut">Ei</label>*@
        </div>
    </div>

    <div class="form-group">
        @Html.LabelFor(model => model.BirthDate, htmlAttributes: new { @class = "control-label col-md-2" })
        <div class="col-md-10">
            @Html.EditorFor(model => model.BirthDate, new { htmlAttributes = new { @class = "form-control" } })
            @Html.ValidationMessageFor(model => model.BirthDate, "", new { @class = "text-danger" })
        </div>
    </div>
    @*<div class="form-group">
            @Html.LabelFor(model => model.Age, htmlAttributes: new { @class = "control-label col-md-2" })
            <div class="col-md-10">
                @Html.EditorFor(model => model.Age, new { htmlAttributes = new { @class = "form-control" } })
                @Html.ValidationMessageFor(model => model.Age, "", new { @class = "text-danger" })
            </div>
        </div>*@

    <div class="form-group">
        @Html.LabelFor(model => model.Size, htmlAttributes: new { @class = "control-label col-md-2" })
        <div class="col-md-10">
            @Html.DropDownList("Size", null, "-- kaal --", htmlAttributes: new { @class = "form-control" })
            @Html.ValidationMessageFor(model => model.Size, "", new { @class = "text-danger" })
        </div>
    </div>

    <div class="form-group">
        @Html.LabelFor(model => model.Educ, htmlAttributes: new { @class = "control-label col-md-2" })
        <div class="col-md-10">
            @Html.DropDownList("Educ", null, "-- hinnang --", htmlAttributes: new { @class = "form-control" })
            @Html.ValidationMessageFor(model => model.Educ, "", new { @class = "text-danger" })
        </div>
    </div>

    <div class="form-group">
        @Html.LabelFor(model => model.OffersForDog, htmlAttributes: new { @class = "control-label col-md-2" })
        <div class="col-md-10">
            <input type="checkbox" name="OffersForDog" value="true">
            <label class="form-check-label" for="OffersForDog">Jah</label>
            @*<input type="checkbox" name="Cut" value="false">
                <label class="form-check-label" for="Cut">Ei</label>*@
        </div>
    </div>

    @*<div class="form-group">
            @Html.LabelFor(model => model.PictureId, htmlAttributes: new { @class = "control-label col-md-2" })
            <div class="col-md-10">
                @Html.EditorFor(model => model.PictureId, new { htmlAttributes = new { @class = "form-control" } })
                @Html.ValidationMessageFor(model => model.PictureId, "", new { @class = "text-danger" })
            </div>
        </div>*@

    @Html.HiddenFor(x => x.PictureId)

    <input type="file" name="file" id="file" />


    <div class="form-group">
        <div class="col-md-offset-2 col-md-10">
            <input type="submit" value="Salvesta" class="btn btn-default" />
        </div>
    </div>
</div>
}

<div>
    @Html.ActionLink("Tagasi listivaatesse", "Index")
</div>
